--- 确定游戏状态的脚本

--- ******界面元素******----
------------- 界面不可变元素-------------
KEY_MAP_TYPE = "mapType";
MAP_TYPE_UNKNOW = "mapTypeUnkown";
MAP_TYPE_5V5 = "5v5Map"; -- 5v5匹配或排位模式
MAP_TYPE_5V5_SCRIMMAGE = "5v5MapScrimmage"; -- 5v5 大乱斗模式
MAP_TYPE_FLAME_MOUNTAIN = "flameMountainMap"; -- 火焰山模式
MAP_TYPE_3V3 = "3v3Map"; -- 3v3模式
MAP_TYPE_1V1 = "1v1Map"; -- 1v1模式
MAP_TYPE_TRAINING_CAMP = "trainingCampMap"; -- 训练营模式
MAP_TYPE_OTHER = "otherMap"; -- 其它模式，指无限乱斗和克隆大作战模式
MAP_TYPE_FIVE_ARMY_BATTLE = "fiveArmyBattleMap" -- 五军对决地图

KEY_HAS_PAUSE_BUTTON = "hasPauseButton"; -- 是否有暂停按钮
KEY_HAS_SETTING_BUTTON = "hasSettingButton"; -- 是否有设置按钮
KEY_HAS_GATHER_BUTTON = "hasGatherButton"; -- 是否有集合按钮

KEY_SUMMONER_SKILL_COUNT = "summonerSkillCount"; -- 召唤师技能个数
SUMMONER_SKILL_COUNT_ONE = 1; -- 一个召唤师技能，1v1，3v3，5v5大乱斗的新手会出现只有一个召唤师技能的情况
SUMMONER_SKILL_COUNT_TWO = 2; -- 两个召唤师技能，新玩家在召唤师峡谷中只有两个：恢复和回城
SUMMONER_SKILL_COUNT_THREE = 3; -- 三个召唤师技能：恢复、回城和自选技能
SUMMONER_SKILL_COUNT_FOUR = 4; -- 在迷雾四个召唤师技能：监视、恢复、回城和自选技能

KEY_HERO_SKILL_COUNT = "heroSkillCount"; -- 英雄技能个数
HERO_SKILL_COUNT_THREE = 3; -- 英雄有三个技能，
HERO_SKILL_COUNT_FOUR = 4; -- 英雄有四个技能，这类英雄有小乔和干将莫邪

------------ 界面可变元素，在每一次打开设置窗口时需要进行识别------------
KEY_SHOP_MENU_POSITION = "shopMenuPosition"; -- 商店菜单位置
SHOP_MENU_POSITION_LEFT = "LEFT"; -- 商店菜单位于左侧
SHOP_MENU_POSITION_RIGHT = "RIGHT"; -- 商店菜单位于右侧

KEY_HERO_ATTACK_MODE = "heroAttackMode"; -- 英雄攻击模式
HERO_ATTACK_MODE_FREE = "FREE"; -- 自由攻击模式，默认的攻击默认
HERO_ATTACK_MODE_ADVANCED_FREE = "ADVANCED_FREE"; -- 高级自由攻击模式，即推塔补刀模式
HERO_ATTACK_MODE_LOCK = "LOCK"; -- 锁定攻击模式，即英雄小兵模式

--- ******屏幕遮挡相关******----
KEY_IS_FULL_COVER = "isFullCover"; -- 屏幕是否全遮挡
KEY_IS_PROPERTY_WINDOW_OPEN = "isPropertyWindowOpen"; -- 属性窗口是否打开

--- 半遮挡相关
KEY_IS_CHAT_WINDOW_OPEN = "isChatWindowOpen"; -- 聊天窗口是否打开
KEY_IS_ORDER_WINDOW_OPEN = "isOrderWindowOpen"; -- 指令窗口是否打开

KEY_LARGE_MAP = "largeMap";
LARGE_MAP_HIDE = "HIDE"; -- 默认状态，此时小地图位于左侧且不展开
LARGE_MAP_LEFT_ZOOMOUT = "LEFT_ZOOMOUT"; -- 左侧展开状态
LARGE_MAP_RIGHT_ZOOMOUT = "RIGHT_ZOOMOUT"; -- 右侧展开状态

--- 用于Java层获取数据的key
KEY_HAS_SHOWED_FLOAT_WINDOW = "hasShowedFloatWindow";
KEY_FLOAT_WINDOW_FIRST_SHOW_TIME = "floatWindowFirstShowTime";

--- 用于记录当前用户所用英雄的id
KEY_CURRENT_HERO_ID = "currentHeroId"

--- 用于记录游戏开始时间
KEY_GAME_START_TIME = "gameStartTime"
--- 用于记录是否展示过皮肤选择窗口
KEY_HAS_SHOW_SKIN_SELECT_VIEW = "hasShowSkinSelectView"

KEY_IS_CONTRACT_MODE = "isContractMode";--其他

--- 储存游戏结果
KEY_GAME_RESULT = "gameResultKey"
-- 游戏胜利
GAME_RESULT_VICTORY = 1
-- 游戏失败
GAME_RESULT_FAIL = 2
-- 游戏结果未知
GAME_RESULT_UNKNOW = -1


--- 未进入游戏状态：子状态
KEY_SUB_STATE_FOR_NOSTART_GAME = "subStateForNotStartGame";
KEY_SUB_STATE_UNKNOW = -1;
KEY_SUB_STATE_IN_GAME_HOME = 0;--游戏大厅
KEY_SUB_STATE_TO_ADD_FRIEND = 1;--添加开始开始游戏


--- 横竖屏判断
SKIN_ORIENTATION_LANDSCAPE = 1 -- 1代表横屏
SKIN_ORIENTATION_VERTICAL = 2 -- 2代表竖屏

--游戏状态或者内容事件的key
COMMON_GAME_LOADING_KEY = "common_game_loading"
COMMON_GAME_JUST_ENTER_KEY = "common_just_enter_game"
COMMON_GAME_START_KEY = "common_game_start"
COMMON_GAME_RUNNING_KEY = "common_game_running"
COMMON_GAME_OVER_KEY = "common_game_over"
COMMON_FULL_COVER_KEY = "common_full_cover"
COMMON_MAP_MODE_KEY = "common_map_mode"
COMMON_PROPERTY_WINDOW_KEY = "common_property_window"
COMMON_CHAT_WINDOW_KEY = "common_chat_window"
COMMON_ORDER_WINDOW_KEY = "common_order_window"
COMMON_EQUIPMENT_KEY = "common_equipment"
COMMON_ATTACK_MODE_KEY = "common_attck_mode"
COMMON_GAME_NOT_START_KEY = "common_game_not_start"
COMMON_GAME_OVER_DETAIL_KEY = "common_game_over_detail"
COMMON_NOT_START_GAME_SUB_STATE_CHANGED_KEY = "common_not_start_game_sub_state_changed"
COMMON_GAME_WORK = "common_game_work"

--COMMON_GAME_HERO_LIFE_STATE_KEY = "common_game_hero_life_state"

--游戏大厅悬浮球相关
GAME_LOBBY_FLOAT_BALL_IS_SHOW_KEY = "game_lobby_float_ball_is_show_key"
FLOAT_BALL_IS_SHOW_ALWAYS_KEY = "float_ball_game_over_is_show_key"
SHOW_FLOAT_BALL_DELAY_SIX_SECONDS = "show_float_ball_delay_six_seconds";

X_OFFSET_IN_18TO9_SCREEN = -116;
X_OFFSET_IN_2560_SCREEN = -101;

-- 华为Mate10 的偏移量
X_OFFSET_IN_HUAWEI_MATE10 = -101

-- 契约模式，每次英雄切换后至少有20秒存在时间，加延时16秒以优化识别
CONTRACT_RECOG_ENABLE_DELAY_AFTER_SWITCH = 16000;
KEY_CONTRACT_MODE_HERO_STATE = "contract_mode_hero_state";
CONTRACT_HERO_NONE = 0
CONTRACT_HERO_KEEP = 1
CONTRACT_HERO_SWITCHING = 2
CONTRACT_HERO_SWITCHED = 3

-- 用于回调到各个业务脚本的回调函数表
common_game_events_callbacks = {
    [COMMON_GAME_LOADING_KEY] = {},
    [COMMON_GAME_JUST_ENTER_KEY] = {},
    [COMMON_GAME_START_KEY] = {},
    [COMMON_GAME_RUNNING_KEY] = {},
    [COMMON_GAME_OVER_KEY] = {},
    [COMMON_FULL_COVER_KEY] = {},
    [COMMON_MAP_MODE_KEY] = {},
    [COMMON_CHAT_WINDOW_KEY] = {},
    [COMMON_ORDER_WINDOW_KEY] = {},
    [COMMON_PROPERTY_WINDOW_KEY] = {},
    [COMMON_EQUIPMENT_KEY] = {},
    [COMMON_ATTACK_MODE_KEY] = {},
    [COMMON_GAME_NOT_START_KEY] = {},
    [COMMON_GAME_OVER_DETAIL_KEY] = {},
    [COMMON_NOT_START_GAME_SUB_STATE_CHANGED_KEY] = {},
    [COMMON_GAME_WORK] = {},
    --[COMMON_GAME_HERO_LIFE_STATE_KEY] = {},
}

SGAME_APP_NAME = 1

-- 识别信息表，包含对比图片路径和识别信息
-- 每一个识别信息（reconnizeTable）包含三个部分: path : 参考图片路径  rect : 识别区域  threshold : 相似度
-- 游戏状态
local GAME_STATE_RECOGNIZE_TABLE;

-- 是否有设置按钮
local HAS_SETTING_BUTTON_RECOGNZIE_TABLE;

-- 是否有暂停按钮
local HAS_PAUSE_BUTTON_RECOGNIZE_TABLE;


-- 是否有集合按钮
local HAS_GATHER_BUTTON_RECOGNIZE_TABLE;

-- 可变元素识别信息表
-- 英雄攻击模式
local HERO_ATTACK_MODE_RECOGNIZE_TALBE;

-- 商店菜单位置
-- 商店菜单是亮色时
local SHOP_MENU_POSITION_RECOGNIZE_TABLE;

-- 商店菜单是暗色时
local SHOP_MENU_POSITION_DARK_RECOGNIZE_TABLE;

-- 小地图
local SMALL_MAP_RECOGNIZE_TABLE;
local SMALL_MAP_IN_3V3_RECOGNIZE_TABLE;
local GAME_OVER_DETAIL_PAGE_TABLE;

-- 召唤师技能第二三四技能圈的位置
SUMMONER_SKILL_RECOGNIZE_RECT = {
    SECOND_SKILL_POSITION = { rect = { flag = Anchor().BOTTOMRIGHT, left = -872, top = -181, width = 134, height = 134 } },
    THIRD_SKILL_POSITION = { rect = { flag = Anchor().BOTTOMRIGHT, left = -1016, top = -181, width = 134, height = 134 } },
    FORTH_SKILL_POSITION = { rect = { flag = Anchor().BOTTOMRIGHT, left = -1158, top = -181, width = 134, height = 134 } },
}
local SUMMONER_SKILL_CIRCLE_MIN_RADIUS = 50;
local SUMMONER_SKILL_CIRCLE_MAX_RADIUS = 70;

--- 识别算法的类型
local ONE_ALGORITHM = 1
local DEFAULT_ALGORITHM = 3
local TOW_ALGORITHM = 2

-- 重试识别的时长
local RETRY_RECOGNIZE_DURATION = 6 * 1000;

local COMMON_LOG = "common_state"
local INIT_INDEX = 1
local UNINIT_INDEX = 2

local enterGameTime = 0
local lastState -- 上一个时刻的游戏状态
local lastNotStartGameSubState;-- 上一个时刻的未开始游戏的sub状态
local shouldUpdateAlterableElement
--- 契约模式
local lastContractModeEnable;
local delayRecognizeSkill = false;
local lastRecognizeSkillTime = 0;
local lastContractModeSwitchTime = 0;
local skillCount = {0, 0, 0, 0, 0, 0};
local INDEX_1st_HERO = 1
local INDEX_1st_SUMMONER = 2
local INDEX_2nd_HERO = 3
local INDEX_2nd_SUMMONER = 4
local INDEX_CUR_HERO = 5
local INDEX_CUR_SUMMONER = 6

local lastIsFullCover
local lastIsPropertyWindowOpen
local lastIsChatOpen
local lastIsOrderOpen
local lastLargeMap
local lastEquipment
local lastAttackMode
local lastIsGameOverDetail
local isGameStartCalled
local hasReportLoadingData = false;
local hasReportFloatWindowData = false;
local hasReportSkinFailReason = false;
local hasReportGameRecogSuccess = false;
local hasReportShopMenu = false;
local hasReportSetting = false;
local hasReportGatherButton = false;
local REASON_MAP_TYPE_NO_RECOGNIZED = 10; --没有识别到地图类型
local REASON_SETTING_BUTTON_NO_RECOGNIZED = 11; --没有识别到设置按钮
local REASON_GATHER_BUTTON_NO_RECOGNIZED = 12; --没有识别到集合按钮
local BUTTON_NAME_5V5_MAP = 1; -- 5v5
local BUTTON_NAME_5V5_SCRIMMAGE_MAP = 2; -- 5v5 大乱斗模式
local BUTTON_NAME_FLAME_MOUNTAIN_MAP = 3; -- 火焰山模式
local BUTTON_NAME_3V3_MAP = 4; -- 3v3模式
local BUTTON_NAME_1V1_MAP = 5; -- 1v1模式
local BUTTON_NAME_TRAINING_CAMP_MAP = 6; -- 训练营模式
local BUTTON_NAME_FIVE_ARMY_BATTLE_MAP = 7; -- 五军对决地图
local BUTTON_NAME_OTHER_MAP = 8; -- 其它模式，指无限乱斗和克隆大作战模式
local BUTTON_NAME_SHOP_MENU = 1; -- 商店菜单
local BUTTON_NAME_SETTING = 2; -- 设置按钮
local BUTTON_NAME_GATHER = 3; -- 集合按钮

--local HERO_STATE_LIFE = 1;--英雄复活
--local HERO_STATE_DIE = 2;--英雄死亡
--local lastHeroState = HERO_STATE_DIE;

local gRecognizeAdapterManager;

local function printLog(msg)
    commonlib_print(COMMON_LOG, msg)
end

local isCanTracePerformance
local performanceTrace

---------------------------------- 埋点上报 ------------------------------------------------
local GAMEMASTER_GAME_ASSISTANT_SRV = "gamemaster_game_assistant_srv"
local REPORT_SHOW_LOADING_VIEW = 3;
local REPORT_SHOW_NOT_FLOAT_WINDOW_VIEW = 2;

local function reportFloatEntranceShowState(state)
    printLog("float_window===================" .. "埋点测试" .. tostring(state));
    local reportLib = Report();
    if reportLib ~= nil then
        printLog("float_window===================" .. "埋点测试");
        reportLib:report({
            ["table_name"] = GAMEMASTER_GAME_ASSISTANT_SRV,
            ["report_data"] = { ["show_float"] = state }
        })
    end
end

local function handleReport(gameState)
    printLog("开始处理上报：gameState = " .. tostring(gameState))
    if gameState == nil then
        return
    end

    if not hasReportLoadingData and gameState == GAME_STATE_LOADING then
        printLog("上报loading页面")
        reportFloatEntranceShowState(REPORT_SHOW_LOADING_VIEW)
        hasReportLoadingData = true;
        commonlib_reportScriptMonitorAbnormal(SGAME_APP_NAME, "loading");
    end

    if not hasReportFloatWindowData then
        if gameState == GAME_STATE_RUNNING and commonlib_getGameParam(KEY_MAP_TYPE) == MAP_TYPE_UNKNOW then
            printLog("上报悬浮球未展示")
            reportFloatEntranceShowState(REPORT_SHOW_NOT_FLOAT_WINDOW_VIEW);
            hasReportFloatWindowData = true;
        end
    end
end

function gameRecogReport(reReport, action, buttonname)
    if reReport then
        commonlib_reportGameRecogSuccess(SGAME_APP_NAME, action, buttonname);
    else
        if not hasReportGameRecogSuccess then
            commonlib_reportGameRecogSuccess(SGAME_APP_NAME, action, buttonname);
            hasReportGameRecogSuccess = true;
        end
    end
end

local function shouldCallGameEventsCallbacks()
    if commonlib_getGameParam(KEY_GAME_STATE) ~= GAME_STATE_RUNNING then
        printLog("shouldCallGameEventsCallbacks KEY_GAME_STATE return false")
        return false
    end

    if not commonlib_getGameParam(KEY_HAS_SETTING_BUTTON) then
        printLog("shouldCallGameEventsCallbacks KEY_HAS_SETTING_BUTTON return false")
        return false
    end

    if not commonlib_getGameParam(KEY_HAS_GATHER_BUTTON) then
        printLog("shouldCallGameEventsCallbacks KEY_HAS_GATHER_BUTTON return false")
        return false
    end

    if commonlib_getGameParam(KEY_MAP_TYPE) == nil or commonlib_getGameParam(KEY_MAP_TYPE) == MAP_TYPE_UNKNOW then
        printLog("shouldCallGameEventsCallbacks KEY_MAP_TYPE return false")
        return false;
    end

    return true
end

--------------------------------------- 生命周期相关的回调函数---------------------------------------
local function callLifeCircleInit()
    --printLog("callLifeCircleInit begin")
    if commonlib_isTableEmpty(common_life_circle_callbacks) then
        printLog("callLifeCircleInit common_life_circle_callbacks is nil or empty")
        return
    end
    commonlib_handleNestingTable(common_life_circle_callbacks, INIT_INDEX)
end

local function callLifeCircleUninit()
    --printLog("callLifeCircleUninit begin")
    if commonlib_isTableEmpty(common_life_circle_callbacks) then
        printLog("callLifeCircleUninit common_life_circle_callbacks is nil or empty")
        return
    end
    commonlib_handleNestingTable(common_life_circle_callbacks, UNINIT_INDEX)
end

--------------------------------------- 游戏事件相关的回调函数---------------------------------------
local function callGameLoadingCallback()
    --printLog("callGameLoadingCallback begin")
    if commonlib_isTableEmpty(common_game_events_callbacks.common_game_loading) then
        printLog("callGameLoadingCallback common_game_loading table is nil or empty")
        return
    end
    commonlib_handleTableWithoutParam(common_game_events_callbacks.common_game_loading)
end

local function callJustEnterGameCallback()
    --printLog("callJustEnterGameCallback begin")
    if commonlib_isTableEmpty(common_game_events_callbacks.common_just_enter_game) then
        printLog("callJustEnterGameCallback common_just_enter_game table is nil or empty")
        return
    end
    commonlib_handleTableWithoutParam(common_game_events_callbacks.common_just_enter_game)
end

local function callGameStartCallback()
    --printLog("callGameStartCallback begin")
    if commonlib_isTableEmpty(common_game_events_callbacks.common_game_start) then
        printLog("callGameStartCallback common_game_start table is nil or empty")
        return
    end
    commonlib_handleTableWithoutParam(common_game_events_callbacks.common_game_start)
end

local function callGameRunningCallback()
    --printLog("callGameRunningCallback begin")
    if commonlib_isTableEmpty(common_game_events_callbacks.common_game_running) then
        printLog("callGameRunningCallback common_game_running table is nil or empty")
        return
    end
    commonlib_handleTableWithoutParam(common_game_events_callbacks.common_game_running)
end

local function callGameOverCallback()
    --printLog("callGameOverCallback begin")
    if commonlib_isTableEmpty(common_game_events_callbacks.common_game_over) then
        printLog("callGameOverCallback common_game_over table is nil or empty")
        return
    end
    commonlib_handleTableWithoutParam(common_game_events_callbacks.common_game_over)
end

local function callGameNotStartCallback()
    --printLog("callGameNotStartCallback begin")
    if commonlib_isTableEmpty(common_game_events_callbacks.common_game_not_start) then
        printLog("callGameNotStartCallback common_game_not_start table is nil or empty")
        return
    end
    commonlib_handleTableWithoutParam(common_game_events_callbacks.common_game_not_start)
end

local function callPropertyWindowCallback(isPropertyWindowOpen)
    if commonlib_isTableEmpty(common_game_events_callbacks.common_property_window) then
        printLog("callPropertyWindowCallback common_property_window table is nil or empty")
        return
    end
    commonlib_handleTableWithBoolParam(common_game_events_callbacks.common_property_window, isPropertyWindowOpen)
end

local function callFullCoverCallback(isFullCover)
    --printLog("callFullCoverCallback begin")
    if commonlib_isTableEmpty(common_game_events_callbacks.common_full_cover) then
        printLog("callFullCoverCallback common_full_cover table is nil or empty")
        return
    end
    commonlib_handleTableWithBoolParam(common_game_events_callbacks.common_full_cover, isFullCover)
end

local function callMapModeCallback(mapMode)
    --printLog("callMapModeCallback begin")
    if commonlib_isTableEmpty(common_game_events_callbacks.common_map_mode) then
        printLog("callMapModeCallback common_map_mode table is nil or empty")
        return
    end
    commonlib_handleTableWithStringParam(common_game_events_callbacks.common_map_mode, mapMode)
end

local function callChatWindowCallback(isOpen)
    --printLog("callChatWindowCallback begin")
    if commonlib_isTableEmpty(common_game_events_callbacks.common_chat_window) then
        printLog("callChatWindowCallback common_chat_window table is nil or empty")
        return
    end
    commonlib_handleTableWithBoolParam(common_game_events_callbacks.common_chat_window, isOpen)
end

local function callOrderWindowCallback(isOpen)
    --printLog("callOrderWindowCallback begin")
    if commonlib_isTableEmpty(common_game_events_callbacks.common_order_window) then
        printLog("callOrderWindowCallback common_order_window table is nil or empty")
        return
    end
    commonlib_handleTableWithBoolParam(common_game_events_callbacks.common_order_window, isOpen)
end

local function callEquipmentCallback(equipment)
    --printLog("callEquipmentCallback begin")
    if commonlib_isTableEmpty(common_game_events_callbacks.common_equipment) then
        printLog("callEquipmentCallback common_equipment table is nil or empty")
        return
    end
    commonlib_handleTableWithStringParam(common_game_events_callbacks.common_equipment, equipment)
end

local function callAttackModeCallback(attackMode)
    --printLog("callAttackModeCallback begin")
    if commonlib_isTableEmpty(common_game_events_callbacks.common_attck_mode) then
        printLog("callAttackModeCallback common_attck_mode table is nil or empty")
        return
    end
    commonlib_handleTableWithStringParam(common_game_events_callbacks.common_attck_mode, attackMode)
end

local function callGameOverDetailCallback(isGameOverDetailPage)
    if commonlib_isTableEmpty(common_game_events_callbacks.common_game_over_detail) then
        printLog("callGameOverDetailCallback common_game_over_detail table is nil or empty")
        return
    end
    commonlib_handleTableWithStringParam(common_game_events_callbacks.common_game_over_detail, isGameOverDetailPage)
end

--local function settingBtnIsVisible()
--    local hasSettingButton = false
--    local shopMenuPos = commonlib_getGameParam(KEY_SHOP_MENU_POSITION)
--    if (shopMenuPos == SHOP_MENU_POSITION_LEFT) then
--        hasSettingButton = gRecognizeAdapterManager:doRecognizeItemByKey(KEY_SETTING_BTN_VISIBLE_RIGHT)
--    else
--        hasSettingButton = gRecognizeAdapterManager:doRecognizeItemByKey(KEY_SETTING_BTN_VISIBLE_LEFT)
--    end
--    printLog("showMenuPos=>" .. shopMenuPos .. " hasSettingButton=>" .. tostring(hasSettingButton))
--    return hasSettingButton
--end

---hero state callback  die and revive
--local function callHeroStateCallback(isHeroDie)
--    if commonlib_isTableEmpty(common_game_events_callbacks.common_game_hero_life_state) then
--        printLog("callHeroStateCallback common_game_hero_state table is nil or empty")
--        return
--    end
--    commonlib_handleTableWithBoolParam(common_game_events_callbacks.common_game_hero_life_state, isHeroDie)
--end

--local function handleHeroStateCallback()
--    if gRecognizeAdapterManager:doRecognizeItemByKey(KEY_REPLAY_HERO_DIE_RECOGNIZE_RECT) then
--        if lastHeroState == HERO_STATE_LIFE then
--            callHeroStateCallback(true)
--            lastHeroState = HERO_STATE_DIE
--            printLog("hero die")
--        end
--    else
--        if lastHeroState == HERO_STATE_DIE and settingBtnIsVisible()then
--            callHeroStateCallback(false)
--            lastHeroState = HERO_STATE_LIFE
--            printLog("hero revive")
--        end
--    end
--end

local function callGameEventsCallbacks()
    if not shouldCallGameEventsCallbacks() then
        printLog("callGameEventsCallbacks shouldCallGameEventsCallbacks return false")
        return
    end

    --printLog("callGameEventsCallbacks begin")
    if not isGameStartCalled then
        callGameStartCallback()
        isGameStartCalled = true
    end

    local currentPropertyWindow = commonlib_getGameParam(KEY_IS_PROPERTY_WINDOW_OPEN)
    if currentPropertyWindow ~= lastIsPropertyWindowOpen then
        printLog("callGameEventsCallbacks currentPropertyWindow: " .. tostring(currentPropertyWindow) .. tostring(" lastIsPropertyWindowOpen: ") .. tostring(lastIsPropertyWindowOpen))
        lastIsPropertyWindowOpen = currentPropertyWindow
        callPropertyWindowCallback(lastIsPropertyWindowOpen)
    end

    local currentFullCover = commonlib_getGameParam(KEY_IS_FULL_COVER)
    if currentFullCover ~= lastIsFullCover then
        printLog("callGameEventsCallbacks currentFullCover: " .. tostring(currentFullCover) .. tostring(" lastIsFullCover: ") .. tostring(lastIsFullCover))
        lastIsFullCover = currentFullCover
        callFullCoverCallback(lastIsFullCover)
        if lastIsFullCover then
            return
        end
    end

    local currentLargeMap = commonlib_getGameParam(KEY_LARGE_MAP)
    if currentLargeMap ~= lastLargeMap then
        printLog("callGameEventsCallbacks currentLargeMap: " .. tostring(currentLargeMap) .. tostring(" lastLargeMap: ") .. tostring(lastLargeMap))
        lastLargeMap = currentLargeMap
        callMapModeCallback(lastLargeMap)
    end

    local currentChatOpen = commonlib_getGameParam(KEY_IS_CHAT_WINDOW_OPEN)
    if currentChatOpen ~= lastIsChatOpen then
        printLog("callGameEventsCallbacks currentChatOpen: " .. tostring(currentChatOpen) .. tostring(" lastIsChatOpen: ") .. tostring(lastIsChatOpen))
        lastIsChatOpen = currentChatOpen
        callChatWindowCallback(lastIsChatOpen)
    end

    local currentOrderOpen = commonlib_getGameParam(KEY_IS_ORDER_WINDOW_OPEN)
    if currentOrderOpen ~= lastIsOrderOpen then
        printLog("callGameEventsCallbacks currentOrderOpen: " .. tostring(currentOrderOpen) .. tostring(" lastIsOrderOpen: ") .. tostring(lastIsOrderOpen))
        lastIsOrderOpen = currentOrderOpen
        callOrderWindowCallback(lastIsOrderOpen)
    end

    local currentEquipment = commonlib_getGameParam(KEY_SHOP_MENU_POSITION)
    if currentEquipment ~= lastEquipment then
        printLog("callGameEventsCallbacks currentEquipment: " .. tostring(currentEquipment) .. tostring(" lastEquipment: ") .. tostring(lastEquipment))
        lastEquipment = currentEquipment
        callEquipmentCallback(lastEquipment)
    end

    local currentAttackMode = commonlib_getGameParam(KEY_HERO_ATTACK_MODE)
    if currentAttackMode ~= lastAttackMode then
        printLog("callGameEventsCallbacks currentAttackMode: " .. tostring(currentAttackMode) .. tostring(" lastAttackMode: ") .. tostring(lastAttackMode))
        lastAttackMode = currentAttackMode
        callAttackModeCallback(lastAttackMode)
    end

    callGameRunningCallback()

    ---当全屏时被遮挡，不能识别死亡状态
    --if not currentFullCover then
    --    handleHeroStateCallback()
    --end
end

local function clearCallbackTables()
    if common_life_circle_callbacks ~= nil then
        common_life_circle_callbacks = nil
    end

    if common_game_events_callbacks ~= nil then
        common_game_events_callbacks = nil
    end
end

local function getShopMenuPosition()
    local shopMenuPosition = nil;
    local lastShopMenuPos = commonlib_getGameParam(KEY_SHOP_MENU_POSITION);

    local mapType = commonlib_getGameParam(KEY_MAP_TYPE);
    -- 5v5大乱斗中，用户走出商店后商店菜单会变暗，这时就需要通过商店菜单的变暗状态来识别游戏运行状态了
    if mapType == MAP_TYPE_5V5_SCRIMMAGE then
        -- 通过上次的商店菜单位置来判断商店菜单是否存在，可用于减少判断次数
        if lastShopMenuPos == SHOP_MENU_POSITION_LEFT then
            if gRecognizeAdapterManager:doRecognizeItemByKey(SHOP_MENU_POSITION_DARK_RECOGNIZE_TABLE[SHOP_MENU_POSITION_LEFT]) then
                shopMenuPosition = SHOP_MENU_POSITION_LEFT;
            elseif gRecognizeAdapterManager:doRecognizeItemByKey(SHOP_MENU_POSITION_DARK_RECOGNIZE_TABLE[SHOP_MENU_POSITION_RIGHT]) then
                shopMenuPosition = SHOP_MENU_POSITION_RIGHT;
            end
        else
            if gRecognizeAdapterManager:doRecognizeItemByKey(SHOP_MENU_POSITION_DARK_RECOGNIZE_TABLE[SHOP_MENU_POSITION_RIGHT]) then
                shopMenuPosition = SHOP_MENU_POSITION_RIGHT;
            elseif gRecognizeAdapterManager:doRecognizeItemByKey(SHOP_MENU_POSITION_DARK_RECOGNIZE_TABLE[SHOP_MENU_POSITION_LEFT]) then
                shopMenuPosition = SHOP_MENU_POSITION_LEFT;
            end
        end
    end

    -- 获取到了商店菜单的位置，就直接返回结果，不需要做下面的识别了
    if shopMenuPosition ~= nil then
        return shopMenuPosition;
    end

    -- 通过上次的商店菜单位置来判断商店菜单是否存在，可用于减少判断次数
    if lastShopMenuPos == SHOP_MENU_POSITION_LEFT then
        if gRecognizeAdapterManager:doRecognizeItemByKey(SHOP_MENU_POSITION_RECOGNIZE_TABLE[SHOP_MENU_POSITION_LEFT]) then
            shopMenuPosition = SHOP_MENU_POSITION_LEFT;
        elseif gRecognizeAdapterManager:doRecognizeItemByKey(SHOP_MENU_POSITION_RECOGNIZE_TABLE[SHOP_MENU_POSITION_RIGHT]) then
            shopMenuPosition = SHOP_MENU_POSITION_RIGHT;
        end
    else
        if gRecognizeAdapterManager:doRecognizeItemByKey(SHOP_MENU_POSITION_RECOGNIZE_TABLE[SHOP_MENU_POSITION_RIGHT]) then
            shopMenuPosition = SHOP_MENU_POSITION_RIGHT;
        elseif gRecognizeAdapterManager:doRecognizeItemByKey(SHOP_MENU_POSITION_RECOGNIZE_TABLE[SHOP_MENU_POSITION_LEFT]) then
            shopMenuPosition = SHOP_MENU_POSITION_LEFT;
        end
    end

    return shopMenuPosition;
end

------------ 游戏是否运行状态相关函数----------------
local function isInGameLoading()
    printLog("=====判断是否在游戏加载状态");
    return gRecognizeAdapterManager:doRecognizeItemByKeys(GAME_STATE_RECOGNIZE_TABLE[GAME_STATE_LOADING]);
end

local function isInGameRunning()
    printLog("=====判断是否在游戏运行状态");
    local shopMenuPosition = getShopMenuPosition();
    if shopMenuPosition == nil then
        -- 若没有获取到出装菜单，且上一次状态为游戏运行状态，则需要判断设置按钮是否存在
        -- 因为点出装的动画会导致商店图标识别不到，这时就需要通过其它元素来判断是否处于游戏运行状态
        if lastState == GAME_STATE_RUNNING then
            return gRecognizeAdapterManager:doRecognizeItemByKeys(HAS_SETTING_BUTTON_RECOGNZIE_TABLE);
        else
            return false
        end
    else
        commonlib_setGameParam(KEY_SHOP_MENU_POSITION, shopMenuPosition);
        if not hasReportShopMenu then
            gameRecogReport(true, ACTION_GAME_RUNNING, BUTTON_NAME_SHOP_MENU);
            hasReportShopMenu = true;
        end
        return true;
    end
end

local function isInGameFinish()
    printLog("=====判断是否在游戏结束状态");
    if commonlib_getGameParam(KEY_MAP_TYPE) == MAP_TYPE_FIVE_ARMY_BATTLE then
        commonlib_setGameParam(KEY_GAME_RESULT, GAME_RESULT_UNKNOW)
        return gRecognizeAdapterManager:doRecognizeItemByKey(KEY_GAME_OVER_FIVE_ARMY_BATTLE_RECOGNIZE_INFO)
    else
        -- 需要记录一下游戏时本局游戏的结果
        if gRecognizeAdapterManager:doRecognizeItemByKey(GAME_STATE_RECOGNIZE_TABLE[GAME_STATE_FINISH][1]) then
            commonlib_setGameParam(KEY_GAME_RESULT, GAME_RESULT_VICTORY)
            return true
        elseif gRecognizeAdapterManager:doRecognizeItemByKey(GAME_STATE_RECOGNIZE_TABLE[GAME_STATE_FINISH][2]) then
            commonlib_setGameParam(KEY_GAME_RESULT, GAME_RESULT_FAIL)
            return true
        else
            return false
        end
    end
end

local function isInGameOverDetail()
    printLog("判断是否在游戏结束后的详情页面")
    return gRecognizeAdapterManager:doRecognizeItemByKeys(GAME_OVER_DETAIL_PAGE_TABLE)
end

--- 根据上一次的游戏状态获取当前的游戏状态
local function getCurrentState(lastState)
    local currentState;
    if lastState == GAME_STATE_NOTSTART then
        if isInGameLoading() then
            printLog("由游戏未开始状态进入游戏加载状态");
            currentState = GAME_STATE_LOADING;
        elseif isInGameRunning() then
            printLog("由游戏未开始状态进入了游戏运行状态");
            currentState = GAME_STATE_RUNNING;
        end
    elseif lastState == GAME_STATE_LOADING then
        --  如果还是处于游戏加载状态，则不做任何处理（可减少识别次数）
        if isInGameLoading() then
            currentState = GAME_STATE_LOADING;
        elseif isInGameRunning() then
            printLog("由游戏加载状态进入了游戏运行状态");
            currentState = GAME_STATE_RUNNING;
        end
    elseif lastState == GAME_STATE_RUNNING then
        --  如果还在游戏运行状态，则不做任何处理（可减少识别次数）
        if isInGameRunning() then
            currentState = GAME_STATE_RUNNING;
        elseif isInGameFinish() then
            printLog("由游戏运行状态进入了游戏结束状态");
            currentState = GAME_STATE_FINISH;
        elseif isInGameLoading() then
            printLog("由游戏运行状态进入了游戏加载状态，可能情况：用户切出界面后导致掉线，需要重连");
            currentState = GAME_STATE_LOADING;
        end
    end
    return currentState;
end

local function isContractModeEnable()
    local bEnable = gRecognizeAdapterManager:doRecognizeItemByKey(KEY_FIND_CONTRACT_MODE_ENABLE_RECT);
    --printLog("isContractMode: enable = " .. tostring(bEnable));
    return bEnable;
end

local function isContractModeDisable()
    local bDisable = gRecognizeAdapterManager:doRecognizeItemByKey(KEY_FIND_CONTRACT_MODE_DISABLE_RECT);
    local bGray = false;
    if bDisable == true then
        bGray = gRecognizeAdapterManager:doRecognizeItemByKey(KEY_FIND_CONTRACT_MODE_BRIGHTNESS_RECT);
    end
    if bDisable ~= bGray or bDisable == true then
        printLog("isContractMode: disable = " .. tostring(bDisable) .. ", gray = " .. tostring(bGray));
    end
    return bDisable and bGray;
end

--- 设置是否为契约模式
local function setIsContractMode()
    local item = gRecognizeAdapterManager:getItem(KEY_FIND_CONTRACT_MODE_CIRCLE_RECT);
    local isContractMode = false;

    if item ~= nil then
        isContractMode = (commonlib_findCircle(item.rect, item.minRadius, item.maxRadius) == 0);
        if isContractMode == true then
            lastContractModeEnable = isContractModeEnable();
        end
    end
    commonlib_setGameParam(KEY_IS_CONTRACT_MODE, isContractMode);
    printLog("isContractMode: "..tostring(isContractMode));

    if skillCount[INDEX_CUR_HERO] == 0 then
        skillCount[INDEX_CUR_HERO] = skillCount[INDEX_1st_HERO];
        skillCount[INDEX_CUR_SUMMONER] = skillCount[INDEX_1st_SUMMONER];
    end
end

--- 设置是否有暂停按钮
local function setHasPauseButton()
    local hasPauseButton = gRecognizeAdapterManager:doRecognizeItemByKeys(HAS_PAUSE_BUTTON_RECOGNIZE_TABLE);
    commonlib_setGameParam(KEY_HAS_PAUSE_BUTTON, hasPauseButton);
end

--- 设置是否有设置按钮
local function setHasSettingButton()
    local hasSettingButton = gRecognizeAdapterManager:doRecognizeItemByKeys(HAS_SETTING_BUTTON_RECOGNZIE_TABLE);
    commonlib_setGameParam(KEY_HAS_SETTING_BUTTON, hasSettingButton);
    if not hasReportSetting then
        if hasSettingButton then
            gameRecogReport(true, ACTION_GAME_RUNNING, BUTTON_NAME_SETTING);
            hasReportSetting = true;
        end
    end
end

--- 设置是否有集合按钮
local function setHasGatherButton()
    local hasGatherButton = gRecognizeAdapterManager:doRecognizeItemByKeys(HAS_GATHER_BUTTON_RECOGNIZE_TABLE);
    commonlib_setGameParam(KEY_HAS_GATHER_BUTTON, hasGatherButton);
    if not hasReportGatherButton then
        if hasGatherButton then
            gameRecogReport(true, ACTION_GAME_RUNNING, BUTTON_NAME_GATHER);
            hasReportGatherButton = true;
        end
    end
end

--- 设置英雄技能个数
local function setHeroSkillCount()
    printLog(" 开始设置英雄技能个数")
    local heroSkillCount = HERO_SKILL_COUNT_THREE;
    local item = gRecognizeAdapterManager:getItem(KEY_FOUR_SKILL_HERO_RECOGNIZE_RECT);
    -- 四技能英雄, 是否可以在第四个位置找到圈
    if commonlib_findCircle(item.rect, item.minRadius, item.maxRadius) == 0 then
        heroSkillCount = HERO_SKILL_COUNT_FOUR;
    end

    if skillCount[INDEX_1st_HERO] == 0 then
        skillCount[INDEX_1st_HERO] = heroSkillCount;
        printLog("ContractMode: 1st hero skill " .. tostring(heroSkillCount));
    elseif skillCount[INDEX_2nd_HERO] == 0 then
        skillCount[INDEX_2nd_HERO] = heroSkillCount;
        printLog("ContractMode: 2nd hero skill " .. tostring(heroSkillCount));
    end

    commonlib_setGameParam(KEY_HERO_SKILL_COUNT, heroSkillCount);
end

--- 设置召唤师技能个数
local function setSummonerSkillCountContractMode(summonerSkillCount)
    if skillCount[INDEX_1st_SUMMONER] == 0 then
        skillCount[INDEX_1st_SUMMONER] = summonerSkillCount;
        printLog("ContractMode: 1st summoner skill " .. tostring(summonerSkillCount));
    elseif skillCount[INDEX_2nd_SUMMONER] == 0 then
        skillCount[INDEX_2nd_SUMMONER] = summonerSkillCount;
        printLog("ContractMode: 2nd summoner skill " .. tostring(summonerSkillCount));
    end
end

local function setSummonerSkillCount()
    local itemForth = gRecognizeAdapterManager:getItem(SUMMONER_SKILL_RECOGNIZE_RECT.FORTH_SKILL_POSITION);
    if commonlib_findCircle(itemForth.rect, itemForth.minRadius, itemForth.maxRadius) == 0 then
        commonlib_setGameParam(KEY_SUMMONER_SKILL_COUNT, SUMMONER_SKILL_COUNT_FOUR);
        setSummonerSkillCountContractMode(SUMMONER_SKILL_COUNT_FOUR);
        return;
    end

    local itemThird = gRecognizeAdapterManager:getItem(SUMMONER_SKILL_RECOGNIZE_RECT.THIRD_SKILL_POSITION);
    if commonlib_findCircle(itemThird.rect, itemThird.minRadius, itemThird.maxRadius) == 0 then
        commonlib_setGameParam(KEY_SUMMONER_SKILL_COUNT, SUMMONER_SKILL_COUNT_THREE);
        setSummonerSkillCountContractMode(SUMMONER_SKILL_COUNT_THREE);
        return;
    end

    local itemSecond = gRecognizeAdapterManager:getItem(SUMMONER_SKILL_RECOGNIZE_RECT.SECOND_SKILL_POSITION);
    if commonlib_findCircle(itemSecond.rect, itemSecond.minRadius, itemSecond.maxRadius) == 0 then
        commonlib_setGameParam(KEY_SUMMONER_SKILL_COUNT, SUMMONER_SKILL_COUNT_TWO);
        setSummonerSkillCountContractMode(SUMMONER_SKILL_COUNT_TWO);
        return;
    end

    commonlib_setGameParam(KEY_SUMMONER_SKILL_COUNT, SUMMONER_SKILL_COUNT_ONE);
    setSummonerSkillCountContractMode(SUMMONER_SKILL_COUNT_ONE);
end

local function setHeroAttackMode()
    if gRecognizeAdapterManager:doRecognizeItemByKey(HERO_ATTACK_MODE_RECOGNIZE_TALBE[HERO_ATTACK_MODE_ADVANCED_FREE]) then
        commonlib_setGameParam(KEY_HERO_ATTACK_MODE, HERO_ATTACK_MODE_ADVANCED_FREE);
    elseif gRecognizeAdapterManager:doRecognizeItemByKey(HERO_ATTACK_MODE_RECOGNIZE_TALBE[HERO_ATTACK_MODE_LOCK]) then
        commonlib_setGameParam(KEY_HERO_ATTACK_MODE, HERO_ATTACK_MODE_LOCK);
    else
        commonlib_setGameParam(KEY_HERO_ATTACK_MODE, HERO_ATTACK_MODE_FREE);
    end
end

local function setMapType()
    if commonlib_getGameParam(KEY_MAP_TYPE) ~= MAP_TYPE_UNKNOW then
        return;
    end
    if gRecognizeAdapterManager:doRecognizeItemByKey(KEY_MAP_TYPE_TRAINING_CAMP_RECOGNIZE_INFO) or gRecognizeAdapterManager:doRecognizeItemByKey(KEY_MAP_TYPE_TRAINING_CAMP_1_RECOGNIZE_INFO) then
        commonlib_setGameParam(KEY_MAP_TYPE, MAP_TYPE_TRAINING_CAMP);
        gameRecogReport(false, ACTION_GAME_START, BUTTON_NAME_TRAINING_CAMP_MAP);
    elseif gRecognizeAdapterManager:doRecognizeItemByKey(KEY_MAP_TYPE_5V5_1_RECOGNIZE_INFO) or gRecognizeAdapterManager:doRecognizeItemByKey(KEY_MAP_TYPE_5V5_2_RECOGNIZE_INFO) then
        commonlib_setGameParam(KEY_MAP_TYPE, MAP_TYPE_5V5);
        gameRecogReport(false, ACTION_GAME_START, BUTTON_NAME_5V5_MAP);
    elseif gRecognizeAdapterManager:doRecognizeItemByKey(KEY_MAP_TYPE_5V5_SCRIMMAGE_RECOGNIZE_INFO) then
        commonlib_setGameParam(KEY_MAP_TYPE, MAP_TYPE_5V5_SCRIMMAGE);
        gameRecogReport(false, ACTION_GAME_START, BUTTON_NAME_5V5_SCRIMMAGE_MAP);
    elseif gRecognizeAdapterManager:doRecognizeItemByKey(KEY_MAP_TYPE_FLAME_MOUNTAIN_RECOGNIZE_INFO) then
        commonlib_setGameParam(KEY_MAP_TYPE, MAP_TYPE_FLAME_MOUNTAIN);
        gameRecogReport(false, ACTION_GAME_START, BUTTON_NAME_FLAME_MOUNTAIN_MAP);
    elseif gRecognizeAdapterManager:doRecognizeItemByKey(KEY_MAP_TYPE_OTHER_RECOGNIZE_INFO) then
        commonlib_setGameParam(KEY_MAP_TYPE, MAP_TYPE_OTHER);
        gameRecogReport(false, ACTION_GAME_START, BUTTON_NAME_OTHER_MAP);
    elseif gRecognizeAdapterManager:doRecognizeItemByKey(KEY_MAP_TYPE_3V3_RECOGNIZE_INFO) or gRecognizeAdapterManager:doRecognizeItemByKey(KEY_MAP_TYPE_3V3_LIGHT_RECOGNIZE_INFO) then
        commonlib_setGameParam(KEY_MAP_TYPE, MAP_TYPE_3V3);
        gameRecogReport(false, ACTION_GAME_START, BUTTON_NAME_3V3_MAP);
    elseif gRecognizeAdapterManager:doRecognizeItemByKey(KEY_MAP_TYPE_1V1_RECOGNIZE_INFO) then
        commonlib_setGameParam(KEY_MAP_TYPE, MAP_TYPE_1V1);
        gameRecogReport(false, ACTION_GAME_START, BUTTON_NAME_1V1_MAP);
    elseif gRecognizeAdapterManager:doRecognizeItemByKey(KEY_MAP_TYPE_FIVE_ARMY_BATTLE_RECOGNIZE_INFO) then
        commonlib_setGameParam(KEY_MAP_TYPE, MAP_TYPE_FIVE_ARMY_BATTLE)
        gameRecogReport(false, ACTION_GAME_START, BUTTON_NAME_FIVE_ARMY_BATTLE_MAP);
    end
end

--- 刚刚进入游戏的时候做一些操作
local function doWhenEnterGame()
    commonlib_initScriptMonitor(SGAME_APP_NAME);
    enterGameTime = commonlib_getCurrentTime();

    commonlib_setGameParam(KEY_GAME_START_TIME, tostring(enterGameTime))
    -- 初次进入游戏，5v5地图识别元素会延迟出现，英雄攻击模式会有一段变暗的时间
    -- 这两个元素的识别需要加上重试次数，其它的一次识别即可

    -- 识别英雄技能个数
    setHeroSkillCount();
    -- 识别召唤师技能个数
    setSummonerSkillCount();
    -- 识别是否存在暂停按钮
    setHasPauseButton();

    --- 判断是否是契约模式
    setIsContractMode();
end

--- 进行重试识别，该元素包括5v5地图和英雄攻击模式
local function doRetryRecognize()
    local timeInterval = commonlib_getCurrentTime() - enterGameTime;
    if timeInterval <= RETRY_RECOGNIZE_DURATION then
        if commonlib_getGameParam(KEY_MAP_TYPE) == MAP_TYPE_UNKNOW then
            setMapType();
        end

        if commonlib_getGameParam(KEY_HERO_ATTACK_MODE) == HERO_ATTACK_MODE_FREE then
            setHeroAttackMode();
        end

        if not commonlib_getGameParam(KEY_HAS_SETTING_BUTTON) then
            setHasSettingButton();
        end

        if not commonlib_getGameParam(KEY_HAS_GATHER_BUTTON) then
            setHasGatherButton();
        end
    else
        if not hasReportSkinFailReason then
            if commonlib_getGameParam(KEY_MAP_TYPE) == nil or commonlib_getGameParam(KEY_MAP_TYPE) == MAP_TYPE_UNKNOW then
                printLog("doRetryRecognize after map type is nil or unknow")
                reportShowSkin(REASON_MAP_TYPE_NO_RECOGNIZED, true)
            end

            if not commonlib_getGameParam(KEY_HAS_SETTING_BUTTON) then
                printLog("doRetryRecognize after not recognize setting button")
                reportShowSkin(REASON_SETTING_BUTTON_NO_RECOGNIZED, true)
            end

            if not commonlib_getGameParam(KEY_HAS_GATHER_BUTTON) then
                printLog("doRetryRecognize after not recognize gather button")
                reportShowSkin(REASON_GATHER_BUTTON_NO_RECOGNIZED, true)
            end

            hasReportSkinFailReason = true
        end
    end
end

local function setChatWindowState()
    local isChatWindowOpen = gRecognizeAdapterManager:doRecognizeItemByKey(KEY_CHAT_WINDOW_RECOGNIZE_INFO) or
            gRecognizeAdapterManager:doRecognizeItemByKey(KEY_CHAT_WINDOW_1_RECOGNIZE_INFO);
    commonlib_setGameParam(KEY_IS_CHAT_WINDOW_OPEN, isChatWindowOpen);
end

local function setOrderWindowState()
    commonlib_setGameParam(KEY_IS_ORDER_WINDOW_OPEN, gRecognizeAdapterManager:doRecognizeItemByKey(KEY_MAP_TYPE_TRAINING_CAMP_RECOGNIZE_INFO));
end

local function setLargeMapStateByTable(recognizeInfoTable)
    local lastState = commonlib_getGameParam(KEY_LARGE_MAP);
    -- 小地图上一刻为隐藏，则需要判断当前的所有状态
    if lastState == LARGE_MAP_HIDE then
        if gRecognizeAdapterManager:doRecognizeItemByKey(recognizeInfoTable[LARGE_MAP_HIDE]) then
            commonlib_setGameParam(KEY_LARGE_MAP, LARGE_MAP_HIDE);
        elseif gRecognizeAdapterManager:doRecognizeItemByKey(recognizeInfoTable[LARGE_MAP_LEFT_ZOOMOUT]) then
            commonlib_setGameParam(KEY_LARGE_MAP, LARGE_MAP_LEFT_ZOOMOUT);
        elseif gRecognizeAdapterManager:doRecognizeItemByKey(recognizeInfoTable[LARGE_MAP_RIGHT_ZOOMOUT]) then
            commonlib_setGameParam(KEY_LARGE_MAP, LARGE_MAP_RIGHT_ZOOMOUT);
        end
    else
        -- 小地图上一刻不为隐藏状态，则此刻需要判断它是否处于隐藏状态
        if gRecognizeAdapterManager:doRecognizeItemByKey(recognizeInfoTable[LARGE_MAP_HIDE]) then
            commonlib_setGameParam(KEY_LARGE_MAP, LARGE_MAP_HIDE);
        end
    end
end

--- 设置小地图的状态
local function setLargeMapState()
    if commonlib_getGameParam(KEY_MAP_TYPE) == MAP_TYPE_3V3 then
        setLargeMapStateByTable(SMALL_MAP_IN_3V3_RECOGNIZE_TABLE);
    else
        setLargeMapStateByTable(SMALL_MAP_RECOGNIZE_TABLE);
    end
end

--- 设置半遮挡状态，包括：聊天窗口是否打开、小地图是否打开
local function setPartCoverState()
    setChatWindowState();
    setLargeMapState();

    if commonlib_getGameParam(KEY_MAP_TYPE) == MAP_TYPE_TRAINING_CAMP then
        setOrderWindowState();
    end
end

------------- 界面元素相关------------------
--- 更新可变元素，包括：商店位置，英雄攻击模式
local function updateAlterableElement()
    if shouldUpdateAlterableElement then
        setHeroAttackMode();
        shouldUpdateAlterableElement = false;
    end
end

local function common_initVariable()
    printLog("common_initVariable begin: ");
    lastState = GAME_STATE_NOTSTART;
    shouldUpdateAlterableElement = true;

    gRecognizeAdapterManager = AdapterManagerClass:getRecognizeInstance();
    gRecognizeAdapterManager:init(global_getAdapterConfig());
    gRecognizeAdapterManager:printLog();

    local skinAdapterManager = AdapterManagerClass:getSkinInstance();
    skinAdapterManager:initSkin(skin_global_getAdapterConfig());
    skinAdapterManager:printLog();

    SUMMONER_SKILL_RECOGNIZE_RECT = {
        SECOND_SKILL_POSITION = KEY_SUMMONER_SECOND_SKILL_RECOGNIZE_RECT,
        THIRD_SKILL_POSITION = KEY_SUMMONER_THIRD_SKILL_RECOGNIZE_RECT,
        FORTH_SKILL_POSITION = KEY_SUMMONER_FORTH_SKILL_RECOGNIZE_RECT,
    };

end

local function updateCurrentHeroSkillCount()
    local showFirstHero = skillCount[INDEX_CUR_HERO] == skillCount[INDEX_2nd_HERO]
            and skillCount[INDEX_CUR_SUMMONER] == skillCount[INDEX_2nd_SUMMONER];

    if showFirstHero == true then
        commonlib_setGameParam(KEY_HERO_SKILL_COUNT, skillCount[INDEX_1st_HERO]);
        commonlib_setGameParam(KEY_SUMMONER_SKILL_COUNT, skillCount[INDEX_1st_SUMMONER]);
        skillCount[INDEX_CUR_HERO] = skillCount[INDEX_1st_HERO];
        skillCount[INDEX_CUR_SUMMONER] = skillCount[INDEX_1st_SUMMONER];
        printLog("ContractMode: updateCurrentHeroSkillCount 1st hero" )
    else
        commonlib_setGameParam(KEY_HERO_SKILL_COUNT, skillCount[INDEX_2nd_HERO]);
        commonlib_setGameParam(KEY_SUMMONER_SKILL_COUNT, skillCount[INDEX_2nd_SUMMONER]);
        skillCount[INDEX_CUR_HERO] = skillCount[INDEX_2nd_HERO];
        skillCount[INDEX_CUR_SUMMONER] = skillCount[INDEX_2nd_SUMMONER];
        printLog("ContractMode: updateCurrentHeroSkillCount 2nd hero" )
    end

    local skills = "";
    for key, value in pairs(skillCount) do
        skills = skills .. tostring(value) .. " ";
    end
    printLog("ContractMode: skills = {" .. skills .. "}");
end

local function handleContractMode()
    -- 技能数相同不做处理
    if skillCount[INDEX_1st_HERO] > 0
            and skillCount[INDEX_1st_HERO] == skillCount[INDEX_2nd_HERO]
            and skillCount[INDEX_1st_SUMMONER] == skillCount[INDEX_2nd_SUMMONER]
    then
        return;
    end

    -- 延时识别技能
    if delayRecognizeSkill == true then
        if commonlib_getCurrentTime() - lastRecognizeSkillTime > 1500 then
            printLog("ContractMode: switched");
            setHeroSkillCount();
            setSummonerSkillCount();
            delayRecognizeSkill = false;
            updateCurrentHeroSkillCount();
            commonlib_setGameParam(KEY_CONTRACT_MODE_HERO_STATE, CONTRACT_HERO_SWITCHED);
        end

    -- 契约模式切换 ENABLE-->DISABLE
    elseif lastContractModeEnable == true then -- ENABLE -> DISABLE
        if isContractModeDisable() == true then
            if skillCount[INDEX_2nd_HERO] == 0 then
                delayRecognizeSkill = true; -- 触发延时识别技能
                lastRecognizeSkillTime = commonlib_getCurrentTime();
                printLog("ContractMode: switching");
                commonlib_setGameParam(KEY_CONTRACT_MODE_HERO_STATE, CONTRACT_HERO_SWITCHING);
            else
                printLog("ContractMode: switched");
                updateCurrentHeroSkillCount();
                commonlib_setGameParam(KEY_CONTRACT_MODE_HERO_STATE, CONTRACT_HERO_SWITCHED);
            end
            lastContractModeSwitchTime = commonlib_getCurrentTime();
            lastContractModeEnable = false;
        end

    -- DISABLE -> ENABLE
    elseif commonlib_getCurrentTime() - lastContractModeSwitchTime > CONTRACT_RECOG_ENABLE_DELAY_AFTER_SWITCH then
        if isContractModeEnable() == true then
            lastContractModeEnable = true;
            printLog("ContractMode: keep");
            commonlib_setGameParam(KEY_CONTRACT_MODE_HERO_STATE, CONTRACT_HERO_KEEP);
        end
    end
end
local function initState()
    printLog("初始化状态值");

    -- 游戏状态
    commonlib_setGameParam(KEY_GAME_STATE, GAME_STATE_NOTSTART);

    -- 不变元素状态
    commonlib_setGameParam(KEY_MAP_TYPE, MAP_TYPE_UNKNOW);
    commonlib_setGameParam(KEY_HERO_SKILL_COUNT, HERO_SKILL_COUNT_THREE);
    commonlib_setGameParam(KEY_SUMMONER_SKILL_COUNT, SUMMONER_SKILL_COUNT_THREE);
    commonlib_setGameParam(KEY_HAS_PAUSE_BUTTON, false);
    commonlib_setGameParam(KEY_HAS_SETTING_BUTTON, false);
    commonlib_setGameParam(KEY_HAS_GATHER_BUTTON, false);

    -- 可变元素状态
    commonlib_setGameParam(KEY_SHOP_MENU_POSITION, SHOP_MENU_POSITION_LEFT);
    commonlib_setGameParam(KEY_HERO_ATTACK_MODE, HERO_ATTACK_MODE_FREE);

    -- 遮挡状态
    commonlib_setGameParam(KEY_IS_FULL_COVER, false);
    commonlib_setGameParam(KEY_IS_PROPERTY_WINDOW_OPEN, false)
    commonlib_setGameParam(KEY_LARGE_MAP, LARGE_MAP_HIDE);
    commonlib_setGameParam(KEY_IS_CHAT_WINDOW_OPEN, false);

    commonlib_setGameParam(KEY_CURRENT_HERO_ID, -1);

    commonlib_setGameParam(KEY_GAME_START_TIME, "0");

    commonlib_setGameParam(COMMON_GAME_OVER_DETAIL_KEY, false);
    commonlib_setGameParam(KEY_IS_CONTRACT_MODE, false);

    commonlib_setGameParam(KEY_SUB_STATE_FOR_NOSTART_GAME, KEY_SUB_STATE_UNKNOW);
    lastNotStartGameSubState = KEY_SUB_STATE_UNKNOW;

    isGameStartCalled = false
    lastIsFullCover = nil
    lastIsChatOpen = nil
    lastIsOrderOpen = nil
    lastLargeMap = nil
    lastEquipment = nil
    lastAttackMode = nil
end

local function addReferImage()
    printLog(" addReferImage begin ")
    -- 游戏状态

    GAME_STATE_RECOGNIZE_TABLE = {
        [GAME_STATE_LOADING] = {
            KEY_GAME_STATE_LOADING_INFO,
        },

        [GAME_STATE_FINISH] = {
            KEY_GAME_STATE_FINISH_INFO1,
            KEY_GAME_STATE_FINISH_INFO2,
        },
    };
    for key, value in pairs(GAME_STATE_RECOGNIZE_TABLE) do
        for index, keyValue in pairs(value) do
            gRecognizeAdapterManager:recognizeAddImageByKey(keyValue);
        end
    end

    gRecognizeAdapterManager:recognizeAddImageByKeys({

        ---地图
        KEY_MAP_TYPE_5V5_1_RECOGNIZE_INFO,
        KEY_MAP_TYPE_5V5_2_RECOGNIZE_INFO,
        KEY_MAP_TYPE_5V5_SCRIMMAGE_RECOGNIZE_INFO,
        KEY_MAP_TYPE_FLAME_MOUNTAIN_RECOGNIZE_INFO,
        KEY_MAP_TYPE_3V3_RECOGNIZE_INFO,
        KEY_MAP_TYPE_3V3_LIGHT_RECOGNIZE_INFO,
        KEY_MAP_TYPE_TRAINING_CAMP_RECOGNIZE_INFO,
        KEY_MAP_TYPE_TRAINING_CAMP_1_RECOGNIZE_INFO,
        KEY_MAP_TYPE_OTHER_RECOGNIZE_INFO,
        KEY_MAP_TYPE_FIVE_ARMY_BATTLE_RECOGNIZE_INFO,
        KEY_MAP_TYPE_1V1_RECOGNIZE_INFO,

        --- 游戏game over
        KEY_GAME_OVER_FIVE_ARMY_BATTLE_RECOGNIZE_INFO,
    });

    -- 是否有设置按钮
    HAS_SETTING_BUTTON_RECOGNZIE_TABLE = {
        KEY_HAS_SETTING_BUTTON_RECOGNZIE_RECT1,
        KEY_HAS_SETTING_BUTTON_RECOGNZIE_RECT2,
    };
    gRecognizeAdapterManager:recognizeAddImageByKey(HAS_SETTING_BUTTON_RECOGNZIE_TABLE[1]);

    HAS_PAUSE_BUTTON_RECOGNIZE_TABLE = {
        KEY_HAS_PAUSE_BUTTON_RECOGNIZE_RECT1,
        KEY_HAS_PAUSE_BUTTON_RECOGNIZE_RECT2,
    };
    gRecognizeAdapterManager:recognizeAddImageByKey(HAS_PAUSE_BUTTON_RECOGNIZE_TABLE[1]);

    -- 是否有集合按钮
    HAS_GATHER_BUTTON_RECOGNIZE_TABLE = {
        KEY_HAS_GATHER_BUTTON_RECOGNIZE_RECT1,
        KEY_HAS_GATHER_BUTTON_RECOGNIZE_RECT2,
    }
    gRecognizeAdapterManager:recognizeAddImageByKey(HAS_GATHER_BUTTON_RECOGNIZE_TABLE[1]);

    --- 可变元素
    -- 商店菜单
    SHOP_MENU_POSITION_RECOGNIZE_TABLE = {
        [SHOP_MENU_POSITION_LEFT] = KEY_SHOP_MENU_POSITION_RECOGNIZE_LEFT_RECT,
        [SHOP_MENU_POSITION_RIGHT] = KEY_SHOP_MENU_POSITION_RECOGNIZE_RIGHT_RECT,
    };
    for k, value in pairs(SHOP_MENU_POSITION_RECOGNIZE_TABLE) do
        gRecognizeAdapterManager:recognizeAddImageByKey(value);
    end

    SHOP_MENU_POSITION_DARK_RECOGNIZE_TABLE = {
        [SHOP_MENU_POSITION_LEFT] = KEY_SHOP_MENU_POSITION_DARK_RECOGNIZE_LEFT_RECT,
        [SHOP_MENU_POSITION_RIGHT] = KEY_SHOP_MENU_POSITION_DARK_RECOGNIZE_RIGHT_RECT,
    };
    for k, value in pairs(SHOP_MENU_POSITION_DARK_RECOGNIZE_TABLE) do
        gRecognizeAdapterManager:recognizeAddImageByKey(value);
    end

    -- 英雄攻击模式
    HERO_ATTACK_MODE_RECOGNIZE_TALBE = {
        [HERO_ATTACK_MODE_ADVANCED_FREE] = KEY_HERO_ATTACK_MODE_ADVANCED_FREE_RECOGNIZE_RECT,
        [HERO_ATTACK_MODE_LOCK] = KEY_HERO_ATTACK_MODE_LOCK_RECOGNIZE_RECT,
    };
    -- 商店菜单位置
    for k, value in pairs(HERO_ATTACK_MODE_RECOGNIZE_TALBE) do
        gRecognizeAdapterManager:recognizeAddImageByKey(value);
    end

    -- 半遮挡
    -- 聊天窗口
    gRecognizeAdapterManager:recognizeAddImageByKeys({
        KEY_CHAT_WINDOW_RECOGNIZE_INFO,
        KEY_CHAT_WINDOW_1_RECOGNIZE_INFO,
    });

    -- 小地图状态
    SMALL_MAP_RECOGNIZE_TABLE =  {
        [LARGE_MAP_HIDE] = KEY_SMALL_MAP_RECOGNIZE_LARGE_MAP_HIDE_INFO,
        [LARGE_MAP_LEFT_ZOOMOUT] = KEY_SMALL_MAP_RECOGNIZE_LARGE_MAP_LEFT_ZOOMOUT_INFO,
        [LARGE_MAP_RIGHT_ZOOMOUT] = KEY_SMALL_MAP_RECOGNIZE_LARGE_MAP_RIGHT_ZOOMOUT_INFO,
    };
    for key, value in pairs(SMALL_MAP_RECOGNIZE_TABLE) do
        gRecognizeAdapterManager:recognizeAddImageByKey(value);
    end

    SMALL_MAP_IN_3V3_RECOGNIZE_TABLE = {
        [LARGE_MAP_HIDE] = KEY_SMALL_MAP_IN_3V3_RECOGNIZE_LARGE_MAP_HIDE_INFO,
        [LARGE_MAP_LEFT_ZOOMOUT] = KEY_SMALL_MAP_IN_3V3_RECOGNIZE_LARGE_MAP_LEFT_ZOOMOUT_INFO,
        [LARGE_MAP_RIGHT_ZOOMOUT] = KEY_SMALL_MAP_IN_3V3_RECOGNIZE_LARGE_MAP_RIGHT_ZOOMOUT_INFO,
    };
    for key, value in pairs(SMALL_MAP_IN_3V3_RECOGNIZE_TABLE) do
        gRecognizeAdapterManager:recognizeAddImageByKey(value);
    end

    --- 其它
    -- 属性窗口, 设置窗口
    gRecognizeAdapterManager:recognizeAddImageByKeys({
        KEY_SETTING_WINDOW_RECOGNIZE_INFO,
        KEY_PROPERTY_WINDOW_RECOGNIZE_INFO,
    });

    --- 游戏结束详情页面
    GAME_OVER_DETAIL_PAGE_TABLE = {
        KEY_GAME_OVER_DETAIL_PAGE_RECT1,
        KEY_GAME_OVER_DETAIL_PAGE_RECT2,
    };
    gRecognizeAdapterManager:recognizeAddImageByKeys(GAME_OVER_DETAIL_PAGE_TABLE);

    gRecognizeAdapterManager:recognizeAddImageByKeys({
        KEY_SWORD_RECOGNIZE_RECT,
        KEY_GAME_HOME_SETTING_BUTTON,
        KEY_GAME_TO_ADD_FRIEND,
        KEY_FIND_CONTRACT_MODE_ENABLE_RECT,
        KEY_FIND_CONTRACT_MODE_DISABLE_RECT,
        KEY_FIND_CONTRACT_MODE_BRIGHTNESS_RECT,
    });
    ---英雄死亡识别
    gRecognizeAdapterManager:recognizeAddImageByKey(KEY_REPLAY_HERO_DIE_RECOGNIZE_RECT);
    gRecognizeAdapterManager:recognizeAddImageByKey(KEY_SETTING_BTN_VISIBLE_RIGHT);

end

local function unInitVariable()
    lastState = nil
    shouldUpdateAlterableElement = nil
end

local function resetGame()
    initState();

    lastState = GAME_STATE_NOTSTART;
    shouldUpdateAlterableElement = true;

    hasReportLoadingData = false;
    hasReportFloatWindowData = false;
    hasReportSkinFailReason = false;
    hasReportGameRecogSuccess = false;
    hasReportShopMenu = false;
    hasReportSetting = false;
    hasReportGatherButton = false;
end

function setXOffsetInRecognizeInfo(recognizeInfo, offset)
    recognizeInfo.rect.left = recognizeInfo.rect.left + offset;
end

local function setSettingViewIcon()
    commonlib_setFloatBallIcon("img/icon_floatball.png")
    commonlib_setSettingViewIcon("img/icon_settingview.png")
    commonlib_setSettingViewIconSize(82.33, 58.33)
    commonlib_setSettingViewIconMargin(0, 0, 0, 0)
    commonlib_setSettingViewIconExtrudeHeight(12)
end

local function onJustEnterGame()
    if isCanTracePerformance then
        performanceTrace:onJustEnterGame();
    end

    -- 在游戏开局时 关注 设置面板的关闭事件
    commonlib_registerSettingViewCloseCallback(pressAllGameSettingsReport)
end

local function onGameOver()
    if isCanTracePerformance then
        performanceTrace:onGameOver();
    end

    commonlib_uninitScriptMonitor(SGAME_APP_NAME, "game over");

    skillCount = { 0, 0, 0, 0, 0, 0 };
    delayRecognizeSkill = false;
    lastRecognizeSkillTime = 0;
    lastContractModeSwitchTime = 0;

    -- 在游戏结束时 取消关注 设置面板的关闭事件
    commonlib_unRegisterSettingViewCloseCallback(pressAllGameSettingsReport)
end

local function initPerformanceTrace()
    performanceTrace = PerformanceTrace()
    isCanTracePerformance = performanceTrace:canTracePerformance()
end

local function init()
    printLog("LuaFlow: sgame init");

    common_initVariable();
    initState();
    addReferImage();

    commonlib_lifeCircleSort()

    callLifeCircleInit()
    commonlib_registerCallback(common_game_events_callbacks.common_just_enter_game, onJustEnterGame)
    commonlib_registerCallback(common_game_events_callbacks.common_game_over, onGameOver)

    setSettingViewIcon()
    commonlib_putSettingViewsEventListener()

    initPerformanceTrace();
end

local function uninit()
    printLog("LuaFlow: sgame uninit");
    commonlib_uninitScriptMonitor(SGAME_APP_NAME, "uninit");
    unInitVariable();
    callLifeCircleUninit()
    clearCallbackTables()
end

local function isPropertyWindowOpen()
    return gRecognizeAdapterManager:doRecognizeItemByKey(KEY_PROPERTY_WINDOW_RECOGNIZE_INFO);
end

local function checkGameState(lastState, currentState)
    printLog("checkGameState lastState = " .. tostring(lastState) .. ", currentState = " .. tostring(currentState))
    if lastState ~= nil and currentState ~= nil and lastState ~= currentState then
        local gameResult = commonlib_getGameParam(KEY_GAME_RESULT)
        local heroIdListString = commonlib_getGameParam(KEY_HERO_ID_LIST_STRING)
        commonlib_notifyGameStateChange(lastState, currentState, gameResult, heroIdListString)

        if currentState == GAME_STATE_FINISH then
            commonlib_setGameParam(KEY_GAME_RESULT, GAME_RESULT_UNKNOW)
            commonlib_setGameParam(KEY_HERO_ID_LIST_STRING, "")
        end
    end
end

local function handleGameOverDetail()
    local currentGameOverDetail = commonlib_getGameParam(COMMON_GAME_OVER_DETAIL_KEY)
    if currentGameOverDetail ~= lastIsGameOverDetail then
        printLog("callGameEventsCallbacks currentGameOverDetail: " .. tostring(currentGameOverDetail) .. tostring(" lastIsGameOverDetail: ") .. tostring(lastIsGameOverDetail))
        lastIsGameOverDetail = currentGameOverDetail
        callGameOverDetailCallback(lastIsGameOverDetail)
    end
end

local function isFullCoveredByOtherElement()
    return false
    --[[
    ---剑把位置：用来识别是否被遮挡状态，因为输入法遮挡底部
    local isCovered = (gRecognizeAdapterManager:doRecognizeItemByKey(KEY_SWORD_RECOGNIZE_RECT) == false);
    printLog("isFullCoveredByOtherElement:isCovered="..tostring(isCovered));

    return isCovered;
    --]]
end

local function isInGameHome()
    return gRecognizeAdapterManager:doRecognizeItemByKey(KEY_GAME_HOME_SETTING_BUTTON);
end

local function isToAddFriendPage()
    return gRecognizeAdapterManager:doRecognizeItemByKey(KEY_GAME_TO_ADD_FRIEND);
end

local function getCurrentNotStartSubGameState(lastNotStartGameSubState)
    local currentState;

    if lastNotStartGameSubState == KEY_SUB_STATE_IN_GAME_HOME or
            lastNotStartGameSubState == nil or
            lastNotStartGameSubState == KEY_SUB_STATE_UNKNOW then
        if isInGameHome() then
            printLog("NotStartSubGame:1->KEY_SUB_STATE_IN_GAME_HOME");
            currentState = KEY_SUB_STATE_IN_GAME_HOME;
        elseif isToAddFriendPage() then
            printLog("NotStartSubGame:1->KEY_SUB_STATE_TO_ADD_FRIEND");
            currentState = KEY_SUB_STATE_TO_ADD_FRIEND;
        end
    elseif lastNotStartGameSubState == KEY_SUB_STATE_TO_ADD_FRIEND then
        if isToAddFriendPage() then
            printLog("NotStartSubGame:2->KEY_SUB_STATE_TO_ADD_FRIEND");
            currentState = KEY_SUB_STATE_TO_ADD_FRIEND;
        elseif isInGameHome() then
            printLog("NotStartSubGame:2->KEY_SUB_STATE_IN_GAME_HOME");
            currentState = KEY_SUB_STATE_IN_GAME_HOME;
        end
    end

    return currentState;
end

local function callGameWork()
    --printLog("callGameWork begin")
    if commonlib_isTableEmpty(common_game_events_callbacks.common_game_work) then
        --printLog("callGameWork common_game_work table is nil or empty")
        return
    end
    commonlib_handleTableWithoutParam(common_game_events_callbacks.common_game_work)
end

local function dealNotStartSubGameState()
    printLog("dealNotStartSubGameState:start");

    local lastNotStartGameSubStateOld = lastNotStartGameSubState;
    local currentSubState = getCurrentNotStartSubGameState(lastNotStartGameSubStateOld);

    if currentSubState ~= lastNotStartGameSubStateOld then
        if currentSubState ~= nil then
            lastNotStartGameSubState = currentSubState;
            commonlib_setGameParam(KEY_SUB_STATE_FOR_NOSTART_GAME, currentSubState);
            commonlib_handleTableWithoutParam(common_game_events_callbacks[COMMON_NOT_START_GAME_SUB_STATE_CHANGED_KEY])
            printLog("dealNotStartSubGameState,COMMON_NOT_START_GAME_SUB_STATE_CHANGED_KEY="..tostring(currentSubState))
        elseif lastNotStartGameSubStateOld == nil then
            lastNotStartGameSubState = KEY_SUB_STATE_UNKNOW;
            commonlib_setGameParam(KEY_SUB_STATE_FOR_NOSTART_GAME, lastNotStartGameSubState);
        end
    end
    printLog("dealNotStartSubGameState:end");
end

local function work()
    printLog("local common_state ------------------------");

    if lastState == GAME_STATE_FINISH then
        callGameOverCallback()
        checkGameState(lastState, GAME_STATE_NOTSTART)
        resetGame();
        return;
    elseif lastState == GAME_STATE_LOADING then
        callGameLoadingCallback()
    end

    -- 获取当前游戏状态
    local currentState = getCurrentState(lastState);
    local lastMapType = commonlib_getGameParam(KEY_MAP_TYPE);

    checkGameState(lastState, currentState)
    -- 进入游戏时刻，需要确定一些界面元素的状态
    if (currentState == GAME_STATE_RUNNING) and (lastState ~= GAME_STATE_RUNNING) then
        doWhenEnterGame();
    end

    -- 上一次游戏状态为运行状态，而当前未获取到游戏状态(即不是其他状态，也不是游戏运状态)
    -- 则认为是判断游戏运行状态的元素被遮挡住了
    local isRecognizeGameRunningElementCovered = (lastState == GAME_STATE_RUNNING and currentState == nil);
    if isRecognizeGameRunningElementCovered then
        currentState = GAME_STATE_RUNNING;
    end

    -- 当前状态是游戏状态，则需要确定某些状态
    if currentState == GAME_STATE_RUNNING then
        setPartCoverState(); -- 设置半遮挡状态，游戏运行时的每一帧都识别
        local isInFullCover = false;
        if isRecognizeGameRunningElementCovered then
            --printLog("判断游戏运行状态的元素被遮挡，需要判断是小地图展开遮挡还是全遮挡");
            isInFullCover = commonlib_getGameParam(KEY_LARGE_MAP) == LARGE_MAP_HIDE;
            printLog("当前是否处于全遮挡状态：" .. tostring(isInFullCover));
            if isInFullCover then
                local IsPropertyWindowOpen = isPropertyWindowOpen()
                -- 当设置窗口没有打开时，才去识别属性窗口
                if not IsPropertyWindowOpen then
                    shouldUpdateAlterableElement = gRecognizeAdapterManager:doRecognizeItemByKey(KEY_SETTING_WINDOW_RECOGNIZE_INFO)
                end
                commonlib_setGameParam(KEY_IS_PROPERTY_WINDOW_OPEN, IsPropertyWindowOpen)
            end
        else
            updateAlterableElement(); -- 更新界面可变元素

            -- 初次进入游戏，5v5地图识别元素会延迟出现，英雄攻击模式会有一段变暗的时间
            -- 这两个元素的识别需要加上重试次数
            doRetryRecognize()
        end

        if not isInFullCover then
            commonlib_setGameParam(KEY_IS_PROPERTY_WINDOW_OPEN, false)
        end

        --- 当没有全遮挡：判断其他区域是否遮挡：如果有，就认为是全遮挡，
        if isInFullCover == false then
            isInFullCover = isFullCoveredByOtherElement();
        end
        commonlib_setGameParam(KEY_IS_FULL_COVER, isInFullCover);
    end

    if commonlib_getGameParam(KEY_IS_CONTRACT_MODE) == true then
        handleContractMode();
    end

    local lastStateOld = lastState;
    if currentState ~= nil then
        lastState = currentState;
    end

    commonlib_setGameParam(KEY_GAME_STATE, lastState);
    callGameEventsCallbacks()

    local currentMapType = commonlib_getGameParam(KEY_MAP_TYPE);
    if lastMapType == MAP_TYPE_UNKNOW and currentMapType ~= MAP_TYPE_UNKNOW then
        callJustEnterGameCallback();
    end

    if lastState == GAME_STATE_NOTSTART then
        callGameNotStartCallback()
        local isGameOverDetailPage = isInGameOverDetail()
        commonlib_setGameParam(COMMON_GAME_OVER_DETAIL_KEY, isGameOverDetailPage)
        handleGameOverDetail()
    end

    if currentState == GAME_STATE_NOTSTART or
            (lastStateOld == GAME_STATE_NOTSTART and currentState == nil) then
        dealNotStartSubGameState();
    elseif lastNotStartGameSubState ~= KEY_SUB_STATE_UNKNOW then
        lastNotStartGameSubState = KEY_SUB_STATE_UNKNOW;
        commonlib_setGameParam(KEY_SUB_STATE_FOR_NOSTART_GAME, lastNotStartGameSubState);
    end

    callGameWork()
    handleReport(lastState)
end

table.insert(core_scripts, { init, uninit, work })
